### Method

# Gio DBusProxy get_cached_property_names

since: 2.26

#### Declaration

    gchar**
    g_dbus_proxy_get_cached_property_names (
      GDBusProxy* proxy
    )

#### Description

Gets the names of all cached properties on `proxy`.

Available since: 2.26

#### Return value

Type: An array of `utf8`

A `NULL`-terminated array of strings or `NULL` if `proxy` has no cached properties. Free the returned array with g_strfreev().

The array is `NULL`-terminated.
The caller of the method takes ownership of the data, and is responsible for freeing it.
The return value can be `NULL`.
Each element is a NUL terminated UTF-8 string.